From cca5215060cb472902d52fba9414fdd0ea9009d9 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 23 2020 00:56:53 +0000
Subject: [PATCH 1058/2232] Diagnostic improvement.


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 2f3c334..ced1570 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -67,7 +67,7 @@ fn check_type_ident(cx: &mut Check, ident: &Ident) {
         && !cx.types.cxx.contains(ident)
         && !cx.types.rust.contains(ident)
     {
-        cx.error(ident, "unsupported type");
+        cx.error(ident, &format!("unsupported type: {}", ident));
     }
 }
 

